{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/otherStuff.js" %}'></script>
    <script src='{% static "js/basketStuff.js" %}'></script>
    
    <script type="text/javascript">       
        $(function() {
            $("#subscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });        
    </script>    
    
    <div class="w3-row">
        <!-- Main basket -->
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-inbox fa-lg"></i> {% trans 'Baskets' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
        
            <div class='tab' id='Baskets'>
                <div class="w3-responsive">
                    <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Enabled' %}</th>
                            <th>{% trans 'Displayname' %}</th>
                            <th>{% trans 'Mailbox' %}</td>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                        
                        {% for basket in Baskets %}
                            <tr>
                                <td>  
                                    {% if basket.enable == 'True' %}
                                        <i class="far fa-check-square fa-lg"></i>
                                    {% else %}
                                        <i class="far fa-square fa-lg"></i>
                                    {% endif %} 
                                </td>
                                <td> {{ basket.displayname }} </td>
                                <td> {{ basket.account }} </td>
                                <td> <a href="javascript:listRules('{{ basket.uuid }}', '{{ domain }}', '{{ token }}')" title="{% trans 'Edit Rules' %}"> <i class="fas fa-traffic-light fa-lg" style="color: green;"></i><a></td>
                                <td> <a href="javascript:editBasket('{{ basket.uuid }}', '{{ domain }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i><a></td>
                                <td> <a href="/manage/baskets/delete/{{ basket.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a></td>

                            </tr>                           
                        {% endfor %}
                        
                        <tr >
                            <td colspan='5'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addBasket').style.display='block'"> 
                                    <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addBasket' %}
                                </button>
                            </td>
                        </tr> 
                    </table>
                </div>
            </div>
        </div>
    </div>
        
    <!-- Add New Basket -->
    <div id="addBasket" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:800px">
        
            <div class="w3-center">
                <span onclick='cancelAddBasket()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>

            <form class="w3-container" method="POST" action="/manage/baskets/add">
                {% csrf_token %}
                <div class=" w3-half">
                    <div class="w3-margin">
                        <label><b>{% trans 'Enabled' %}</b> </label>
                        <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="enable" value="True" checked="checked" >
                        <br/>
                        <label><b>{% trans 'Displayname' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Basket Pretty Name" name="displayname" required>
                        
                        <label><b>{% trans 'Mailserver' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Mail Server hostname" name="server" required>

                        <label><b>{% trans 'Mailbox' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="email" placeholder="account@domain.tld" name="account" required>
                        
                        <label><b>{% trans 'Password' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Password" name="passwd" required>
                            
                        <label><b>{% trans 'Protocol' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom" name='protocol' id='protocol' onchange='setPort("protocol","port")'>
                            <option value='imaps'> IMAPS </option>
                            <option value='imap'> IMAP </option>
                            <option value='pops'> POPS </option>
                            <option value='pop'> POP </option>
                        </select>
                            
                        <label><b>{% trans 'Port' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="number" value='993' id='port' name="port" required>  
                        
                        <div id='displayImapFolder'>
                            <label><b>{% trans 'imapFolder' %}</b></label>
                            <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="SubFolder" id="imapFolder" name='imapFolder'>
                        </div>
                                                
                        <div id='displayImapBackupFolder'>
                            <label><b>{% trans 'imapBackupFolder' %}</b></label>
                            <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="SubFolder" id="imapBackupFolder" name='imapBackupFolder'>
                        </div>
                            
                        <label><b>{% trans 'verifyPeer' %}</b> </label>
                        <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="verifypeer" value="True" >
                    </div>
                </div>
                    
                <div class=" w3-half">
                    <div class="w3-margin">
                        <br/><br/> <br/><br/>
                        <label><b>{% trans 'UpdateEvery' %}</b> </label>
                        <select class="w3-select w3-border w3-margin-bottom"  name='every'>
                            <option value='5'> 5 {% trans 'minutes' %}  </option>
<!--                             <option value='1'> 1 {% trans 'minutes' %}  </option> -->
                            <option value='2'> 2 {% trans 'minutes' %}  </option>
                            <option value='3'> 3 {% trans 'minutes' %}  </option>
                            <option value='4'> 4 {% trans 'minutes' %}  </option>
                            <option value='6'> 6 {% trans 'minutes' %}  </option>
                            <option value='10'> 10 {% trans 'minutes' %}  </option>
                            <option value='12'> 12 {% trans 'minutes' %}  </option>
                            <option value='15'> 15 {% trans 'minutes' %}  </option>
                            <option value='30'> 30 {% trans 'minutes' %}  </option>
                            <option value='60'> 60 {% trans 'minutes' %}  </option>                            
                        </select>
                        
                        <br/><br/>
                                               
                        <label><b>{% trans 'DefaultColor' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom " type="color" name="defaultColor" >
                        
                        <label><b>{% trans 'AsSender' %} ({% trans '1pl' %})</b></label>
                        <textarea name="asSender" rows=2 cols=40></textarea>
                        
                        <br/><br/>
                        
                        <label><b>{% trans 'AutomaticDistributionGroup' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="subscribedguid"  name="subscribedguid" >
                            {% for group in Groups %}
                                <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                            {% endfor %}   
                        </select>   
                        <br/><br/>
                        
                        <label><b>{% trans 'filterFile' %}</b> </label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Extensions list" name="filterFile">
                            
                        <label><b>{% trans 'x-header' %} ({% trans '1pl' %})</b> </label>
                        <textarea name="x-header" rows=2 cols=40></textarea>
                            
                    </div>
                </div>
                

                <div class="w3-container w3-border-top w3-padding-16 ">
                    <button onclick='cancelAddBasket()' type="button" class="w3-button w3-red ">{% trans 'Cancel' %}</button>
                    <button class="w3-button w3-green w3-padding " type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>
        </div>
    </div> 
    
    
    <!-- Edit existing Basket -->
    <script type="text/javascript">       
        $(function() {
            $("#editSubscribedguid").chosen({
                placeholder_text_multiple:  translateThis('chooseGroups'),
                width: "95%"
            }); 
        });        
    </script>   
    <div id="editBasket" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:800px">

            <div class="w3-center">
                <span onclick='cancelEditBasket()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>
            
            <form class="w3-container" method="POST" action="/manage/baskets/update">
                {% csrf_token %}
                <div class=" w3-half">
                    <div class="w3-margin">
                        <label><b>{% trans 'Enabled' %}</b> </label>
                        <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  id="editEnable" name="enable" value="True" >
                        <br/><br/>
                            
                        <label><b>{% trans 'Displayname' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Basket Pretty Name" id="editDisplayname" name="displayname" required>
 
                        
                        <label><b>{% trans 'Mailserver' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Mail Server hostname" id="editServer" name="server" required>

                        <label><b>{% trans 'Mailbox' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="email" placeholder="account@domain.tld" id="editAccount" name="account" required>
                        
                        <label><b>{% trans 'Password' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Password" id="editPasswd" name="passwd" required>
 
                        <label><b>{% trans 'Protocol' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom" name='protocol' id='editProtocol' onchange='setPort("editProtocol","editPort")'>
                            <option value='imaps'> IMAPS </option>
                            <option value='imap'> IMAP </option>
                            <option value='pops'> POPS </option>
                            <option value='pop'> POP </option>
                        </select>
                        
                        <label><b>{% trans 'Port' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom" type="number" value='993' id='editPort' name="port" required>                            
                         
                        <div id='displayEditImapFolder'>
                            <label><b>{% trans 'imapFolder' %}</b></label>
                            <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="SubFolder" name='imapFolder' id='EditImapFolder'>
                        </div>    
                        
                        <div id='displayEditImapBackupFolder'>
                            <label><b>{% trans 'imapBackupFolder' %}</b></label>
                            <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="SubFolder" name='imapBackupFolder' id='EditImapBackupFolder'>
                        </div>    
                            
                        <label><b>{% trans 'verifyPeer' %}</b> </label>
                        <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  id="editVerifypeer" name="verifypeer" value="True" >
                    </div>
                </div>
                    
                <div class=" w3-half">
                    <div class="w3-margin">
                        <br/><br/>
                        <label><b>{% trans 'UpdateEvery' %}</b> </label>
                        <select class="w3-select w3-border w3-margin-bottom" id="editUpdate" name='every'>
                            <option value='5'> 5 {% trans 'minutes' %}  </option>
<!--                             <option value='1'> 1 {% trans 'minutes' %}  </option> -->
                            <option value='2'> 2 {% trans 'minutes' %}  </option>
                            <option value='3'> 3 {% trans 'minutes' %}  </option>
                            <option value='4'> 4 {% trans 'minutes' %}  </option>
                            <option value='6'> 6 {% trans 'minutes' %}  </option>
                            <option value='10'> 10 {% trans 'minutes' %}  </option>
                            <option value='12'> 12 {% trans 'minutes' %}  </option>
                            <option value='15'> 15 {% trans 'minutes' %}  </option>
                            <option value='30'> 30 {% trans 'minutes' %}  </option>
                            <option value='60'> 60 {% trans 'minutes' %}  </option>                            
                        </select>
                        
                        <br/><br/>
                                               
                        <label><b>{% trans 'DefaultColor' %}</b></label>
                        <input class="w3-input w3-border w3-margin-bottom " type="color" id='editDefaultColor' name="defaultColor" >
                        
                        
                        
                        <label><b>{% trans 'AsSender' %} ({% trans '1pl' %})</b></label>
                        <textarea class="w3-border w3-margin-bottom" name="asSender" id="editAsSender" rows=2 cols=40></textarea>
                        
                        <label><b>{% trans 'AutomaticDistributionGroup' %}</b></label>
                        <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="editSubscribedguid"  name="subscribedguid" >
                            {% for group in Groups %}
                                <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                            {% endfor %}   
                        </select>   

                        <br/><br/>
                        <label><b>{% trans 'filterFile' %}</b> </label>
                        <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Extensions list" id="editFilterFile" name="filterFile">
                            
                        <label><b>{% trans 'x-header' %} ({% trans '1pl' %})</b> </label>
                        <textarea  class="w3-border w3-margin-bottom" name="x-header" id="editXHeader" rows=2 cols=40></textarea>
                            
                    </div>
                </div>
                

                <div class="w3-container w3-border-top w3-padding-16 ">
                    <input class="w3-input w3-border " type="hidden"  name='uuid' id='editUuid' value=''>
                    <button onclick='cancelEditBasket()' type="button" class="w3-button w3-red ">{% trans 'Cancel' %}</button>
                    <button class="w3-button w3-green w3-padding " type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>
        </div> 

    </div>
    
    
    
    <!--  Rules Basket -->
    <div id="listRules" class="w3-modal">
        
    
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:90%">

            <div class="w3-center">
                <span onclick='closeListRules()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>

             
            <div class="w3-container w3-margin">
                <div class="w3-padding-16">  
                    <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addRule').style.display='block'"> 
                        <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addRule' %}
                    </button>
                    </br></br>
                    
                     <!-- Add new rule -->
                    <div id="addRule" class="w3-card"  style="display: none;">
                        <script type="text/javascript">       
                            $(function() {
                                $("#newRuleSubscribedguid").chosen({
                                    placeholder_text_multiple:  translateThis('chooseGroups'),
                                    width: "95%"
                                }); 
                            });        
                        </script>    
                        <div class="w3-center">
                            <span onclick='closeList()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                        </div>

                        <form class="w3-container" method="POST" action="/manage/baskets/addRule">
                            {% csrf_token %}
                            <div class="w3-margin">
                                <label><b>{% trans 'all match' %}</b> </label>
                                <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="and" value="True" checked >
                                
                                <label><b>{% trans 'one or more match' %}</b> </label>        
                                <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="or" value="True" >
                                <br/>
                                <label><b>{% trans 'Rule Name' %}</b></label>
                                    <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Rule Pretty Name" name="displayname" required>
                                <div id="Rules-add" >
                                    <label><b>{% trans 'addCondition' %} </b> ( <a href="javascript:addRuleElement('add');"><i class="fas fa-traffic-light fa-lg" style="color: green"></i>+</a> )</label>
                                    <p id='Rule0'>
                                        <select name='field0'> 
                                            <option value='From'> {% trans 'From' %} </option>
                                            <option value='Subject'> {% trans 'Subject' %} </option>
                                            <option value='Body'> {% trans 'Body' %} </option>
                                        </select>&nbsp;&nbsp;                     
                                        <select name='verb0'> 
                                            <option value='is'> {% trans 'is' %} </option>
                                            <option value='contains'> {% trans 'contains' %} </option>
                                        </select>&nbsp;&nbsp;  
                                        <input class='w3-border w3-padding' type='text' style='width:65%; margin-top: 5px;' name='string0' required> 
                                    </p>
                                    <script> var intTextBox = 0 </script>
                                </div>
                                </br> </br>
                                <label><b>{% trans 'AutomaticDistributionGroup' %}</b></label>
                                <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="newRuleSubscribedguid"  name="subscribedguid" >
                                    {% for group in Groups %}
                                        <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                                    {% endfor %}   
                                </select>   
                            </div>
                            <div class="w3-container w3-border-top w3-padding-16 ">
                                <input type='hidden' name='uuid' value='' id='newBasketRule'>
                                <button onclick='cancelAddRule()' type="button" class="w3-button w3-red ">{% trans 'Cancel' %}</button>
                                <button class="w3-button w3-green w3-padding " type="submit">{% trans 'Submit' %}</button>
                            </div>
                        </form>
                    </div>                      
                
                    <!-- Edit Rule -->
                    <div id="editRule" class="w3-card"  style="display: none;">
                        <script type="text/javascript">   
                            var intEditTextBox = 0 ; 
                            $(function() {
                                $("#selectedRuleSubscribedguid").chosen({
                                    placeholder_text_multiple:  translateThis('chooseGroups'),
                                    width: "95%"
                                }); 
                            });        
                        </script>    
                        <div class="w3-center">
                            <span onclick='closeList()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                        </div>

                        <form class="w3-container" method="POST" id="editRuleForm" action="/manage/baskets/updateRule">
                            {% csrf_token %}
                            <div class="w3-margin">
                                <label><b>{% trans 'all match' %}</b> </label>
                                <input class="w3-check w3-border w3-margin-bottom" type="checkbox" id="and-edit" name="and" value="True">
                                    
                                <label><b>{% trans 'one or more match' %}</b> </label>        
                                <input class="w3-check w3-border w3-margin-bottom" type="checkbox" id="or-edit" name="or" value="True" >
                                <br/>
                                <label><b>{% trans 'Rule Name' %}</b></label>
                                <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Rule Pretty Name" id='displayname-edit' name="displayname" required>
                                <div id="Rules-edit">
                                </div>
                                </br> </br>
                                <label><b>{% trans 'AutomaticDistributionGroup' %}</b></label>
                                <select class="w3-select w3-border w3-margin-bottom chosen-select" multiple  placeholder='Group' id="selectedRuleSubscribedguid"  name="subscribedguid" >
                                    {% for group in Groups %}
                                        <option value="{{ group.uuid }}"> {{ group.displayname }}</option>                
                                    {% endfor %}   
                                </select>   
                            </div>
                            <div class="w3-container w3-border-top w3-padding-16 ">
                                <input type='hidden' name='uuid' value='' id='basketUuid'>
                                <input type='hidden' name='ruuid' value='' id='ruleUuid'>
                                <button onclick='cancelEditRule()' type="button" class="w3-button w3-red ">{% trans 'Cancel' %}</button>
                                <button class="w3-button w3-green w3-padding " type="submit">{% trans 'Submit' %}</button>
                            </div>
                        </form>
                    </div>   
                
                    <div id="Rules">
                    </div>
                </div>
                
                
            </div>
       
        </div> 

        
        
        
    </div>    
{% endblock %}
